{% extends 'dataview.html.twig' %}
{% import 'macro/_forms.html.twig' as macros %}

{% block pageTitle 'Groupes' %}

{% block pageActions %}
    {{ macros.addButton('group_add', 'Ajouter un groupe', 'Ajouter un groupe') }}
{% endblock %}

{% block pageTable %}
    <table class="table table-striped bg-white">
        <thead>
            <tr class="d-flex">
                <th class="col-9">Intitulé</th>
                <th class="col-3">Actions</th>
            </tr>
        </thead>
        <tbody>
            {{ macros.emptyList(groups, "Aucun groupe à afficher") }}

            {% for group in groups %}
                <tr class="d-flex">
                    <td class="col-9">{{ group.name }}</td>
                    <td class="col-3">

                        <a href="{{ path('export_csv_users_group', {'id': group.id}) }}"
                           title="Exporter les utilisateurs de tout le groupe"
                           class="btn btn-outline-primary borderless">
                            <span class="fa fa-download"></span>
                        </a>


                        {{ macros.editButton('group_edit', group.id, 'Modifier le groupe') }}
                        <a href="{{ path('group_manage', {'id': group.id}) }}" class="btn btn-outline-primary borderless"
                           title="Gérer les structures associées">
                            <span class="fa fa-cog"></span>
                        </a>

                        {{ macros.button_open_modal_delete(
                            group.id,
                            'Suppression du groupe ' ~ group.name,
                            'group_delete',
                            'Voulez-vous vraiment supprimer le groupe ' ~ group.name ~ ' ?',
                            groups.currentPageNumber,
                            'Supprimer le groupe'
                        ) }}
                    </td>
                </tr>
            {% endfor %}
        </tbody>
    </table>
{% endblock %}

{% block pagePagination knp_pagination_render(groups) %}
